/*
 * RandomizeAutomaton.cpp
 *
 *  Created on: 9. 2. 2017
 *	  Author: Jan Travnicek
 */

#include "RandomizeAutomaton.h"
#include <automaton/Automaton.h>

namespace automaton {

namespace generate {

auto RandomizeAutomatonDFA = RandomizeAutomaton::RegistratorWrapper < automaton::DFA < >, automaton::DFA < > > ( RandomizeAutomaton::randomize );
auto RandomizeAutomatonMultiInitialStateNFA = RandomizeAutomaton::RegistratorWrapper < automaton::MultiInitialStateNFA < >, automaton::MultiInitialStateNFA < > > ( RandomizeAutomaton::randomize );
auto RandomizeAutomatonNFA = RandomizeAutomaton::RegistratorWrapper < automaton::NFA < >, automaton::NFA < > > ( RandomizeAutomaton::randomize );
auto RandomizeAutomatonEpsilonNFA = RandomizeAutomaton::RegistratorWrapper < automaton::EpsilonNFA < >, automaton::EpsilonNFA < > > ( RandomizeAutomaton::randomize );

automaton::Automaton RandomizeAutomaton::randomize ( const automaton::Automaton & automaton ) {
	return dispatch ( automaton.getData ( ) );
}

} /* namespace generate */

} /* namespace automaton */
