/*
 * ExactMultiNondeterministicSubsequenceAutomaton.cpp
 *
 *  Created on: 7. 4. 2015
 *      Author: Jan Travnicek
 */

#include "ExactMultiNondeterministicSubsequenceAutomaton.h"
#include <common/ContainerConverter.hpp>

namespace stringology {

namespace exact {

automaton::Automaton ExactMultiNondeterministicSubsequenceAutomaton::construct ( const std::set < string::String > & texts ) {
	return automaton::Automaton ( ExactMultiNondeterministicSubsequenceAutomaton::construct ( common::ContainerConverter < std::set < string::LinearString < > >, std::set < string::String >, string::LinearString < > >::convert ( texts ) ) );
}

} /* namespace exact */

} /* namespace stringology */
