/*
 * StringAuxiliary.h
 *
 *  Created on: May 7, 2016
 *      Author: Jan Travnicek
 */

#ifndef STRING_AUXILIARY_H_
#define STRING_AUXILIARY_H_

#include <set>
#include <vector>
#include <common/DefaultSymbolType.h>

namespace string {

/**
 * Parser used to get string from XML parsed into list of Tokens.
 */
class StringAuxiliary {
public:
	static std::vector < DefaultSymbolType > toInternal ( const std::string & rawString );
};

} /* namespace string */

#endif /* STRING_AUXILIARY_H_ */
